Subject: Re: [bug#57324] [PATCH] gnu: julia: update to 1.6.7

From: Efraim Flashner <[email-masked]>
Date: Tue, 23 Aug 2022 21:47:26 +0300

On Sun, Aug 21, 2022 at 05:49:37PM +0000, Jean-Baptiste Volatier via Guix-patches via wrote:
> * gnu/packages/julia.scm (julia): Update to 1.6.7
> 
> Hello,
> This updates julia to 1.6.7. I did not have time to run the full test suite
> (and I only have access to x86_64) yet but it seems to run fine.
> 
> I also have another WIP variant of this patch that builds against the git
> checkout and where the stdlibs are de-vendored and have their own guix packages.
> Personally I find it a bit more elegant than the current tarball
> release that we are using and its bundled tarballs of out-of-tree dependencies.
> 
> If this is of interest I can finish it up and send it. Otherwise I'll 
> continue to work on julia 1.8.
> 
> Best regards,
> JB
> 

I adjusted some of the phases to help the tests pass and I rounded out
the commit message. Now that 1.8 is released we can start finishing up
that patch too :)

Thanks! Patch pushed.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted